%define name	5ball
%define version	0.41
%define release	%mkrel 3
%define Summary	A simple logic game
%define _prefix	/usr

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
Group:		Games/Boards
License:	GPL
URL:		http://www.pcbypaul.com/software/5ball.html
Source0:	%{name}-%{version}.tar.xz
Patch:		%{name}-Makefile.am.diff
BuildRequires:	atk-devel
BuildRequires:	fontconfig
BuildRequires:	freetype2
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	pango-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
5ball is a simple logic game. The goal of the game is to make the
maximum number of lines with balls of the same color. A line is
made of five balls. Each time you don't do a line, extra balls
appear on the grid. You loose when the grid is full.
This is a logic game, lining up 5 balls of like color to get them
off a grid, to keep the grid from filling up. Requires 1024x768
or better screen resolution.

%prep
%setup -q -n %{name}-%{version}
%patch

aclocal
automake --add-missing
autoconf
autoheader

%build
%configure \
	--localstatedir=/var/lib/games
%make

%install
make DESTDIR=%{buildroot} install

install -m644 %{name}-data/%{name}-logo.png -D %{buildroot}%{_iconsdir}/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%{name}
Icon=%{name}.png
Terminal=false
Name=%{name}
Comment=%{Summary}
Categories=Game;BoardGame;X-MandrivaLinux-MoreApplications-Games-Board;
EOF

%post
if [ ! -f /var/lib/games/5ball-scores ]; then
	touch /var/lib/games/5ball-scores
fi
chgrp games /var/lib/games/5ball-scores
chmod 0664  /var/lib/games/5ball-scores
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf  %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man6/*
/var/lib/games/*
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Oct 11 2011 Archie <pclinuxos.ph at gmail.com> 0.41-3pclos2011
- Rebuild for x86_64

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 0.41-2pclos2009
- fix synaptic group

* Tue Feb 19 2008 P. K. Frederic <pkfric@yahoo.com> 0.41-1pclos2007
- first RPM for PCLinuxOS
